/*
 * @Author: yuananting
 * @Date: 2021-03-03 15:13:12
 * @LastEditors: yuananting
 * @LastEditTime: 2021-03-17 11:40:41
 * @Description: 助学工具接口
 * @Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */

import Service from "@/common/js/service";

export function queryCategoryTree(params: object) {
  return Service.Hades("public/hades/queryCategoryTree", params);
}

export function addCategory(params: object) {
  return Service.Hades("public/hades/addCategory", params);
}

export function delCategory(params: object) {
  return Service.Hades("public/hades/delCategory", params);
}

export function editCategory(params: object) {
  return Service.Hades("public/hades/editCategory", params);
}

export function editCategoryTree(params: object) {
  return Service.Hades("public/hades/editCategoryTree", params);
}

export function queryQuestionCategoryTree(params: object) {
  return Service.Hades("public/hades/queryQuestionCategoryTree", params);
}

export function queryQuestionPageList(params: object) {
  return Service.Hades("public/hades/queryQuestionPageList", params);
}

export function addQuestion(params: object) {
  return Service.Hades("public/hades/addQuestion", params);
}

export function deleteQuestion(params: object) {
  return Service.Hades("public/hades/deleteQuestion", params);
}

export function queryQuestionDetails(params: object) {
  return Service.Hades("public/hades/queryQuestionDetails", params);
}

export function editQuestion(params: object) {
  return Service.Hades("public/hades/editQuestion", params);
}

export function batchImport(params: object) {
  return Service.Hades("public/hades/batchImport", params);
}